Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1056287 - [abrt] cinnamon: gray_find_cell(): cinnamon killed by SIGABRT
Summary: [abrt] cinnamon: gray_find_cell(): cinnamon killed by SIGABRT
Keywords:
Status: CLOSED DUPLICATE of bug 1064183
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cad87d01780dc786800ad9ae577...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 21:48 UTC by Luis Oscar Castro
Modified: 2015-01-15 10:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-15 10:08:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (225.56 KB, text/plain)
2014-01-21 21:48 UTC, Luis Oscar Castro
no flags Details
File: cgroup (154 bytes, text/plain)
2014-01-21 21:48 UTC, Luis Oscar Castro
no flags Details
File: core_backtrace (82.93 KB, text/plain)
2014-01-21 21:48 UTC, Luis Oscar Castro
no flags Details
File: dso_list (16.41 KB, text/plain)
2014-01-21 21:48 UTC, Luis Oscar Castro
no flags Details
File: environ (1.48 KB, text/plain)
2014-01-21 21:48 UTC, Luis Oscar Castro
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-21 21:48 UTC, Luis Oscar Castro
no flags Details
File: maps (161.56 KB, text/plain)
2014-01-21 21:48 UTC, Luis Oscar Castro
no flags Details
File: open_fds (448 bytes, text/plain)
2014-01-21 21:48 UTC, Luis Oscar Castro
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2014-01-21 21:48 UTC, Luis Oscar Castro
no flags Details
File: var_log_messages (14.54 KB, text/plain)
2014-01-21 21:49 UTC, Luis Oscar Castro
no flags Details

Description Luis Oscar Castro 2014-01-21 21:48:38 UTC
Version-Release number of selected component:
cinnamon-2.0.14-4.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: gray_find_cell
executable:     /usr/bin/cinnamon
kernel:         3.12.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 gray_find_cell at /usr/src/debug/freetype-2.4.11/src/smooth/ftgrays.c:491
 #7 gray_record_cell at /usr/src/debug/freetype-2.4.11/src/smooth/ftgrays.c:511
 #8 gray_set_cell at /usr/src/debug/freetype-2.4.11/src/smooth/ftgrays.c:554
 #9 gray_render_line at /usr/src/debug/freetype-2.4.11/src/smooth/ftgrays.c:814
 #10 gray_render_conic at /usr/src/debug/freetype-2.4.11/src/smooth/ftgrays.c:946
 #11 gray_conic_to at /usr/src/debug/freetype-2.4.11/src/smooth/ftgrays.c:1157
 #12 FT_Outline_Decompose at /usr/src/debug/freetype-2.4.11/src/base/ftoutln.c:206
 #13 gray_convert_glyph_inner at /usr/src/debug/freetype-2.4.11/src/smooth/ftgrays.c:1736
 #14 gray_convert_glyph at /usr/src/debug/freetype-2.4.11/src/smooth/ftgrays.c:1838
 #15 ft_smooth_render_generic at /usr/src/debug/freetype-2.4.11/src/smooth/ftsmooth.c:316

Potential duplicate: bug 905436

Comment 1 Luis Oscar Castro 2014-01-21 21:48:41 UTC
Created attachment 853465 [details]
File: backtrace

Comment 2 Luis Oscar Castro 2014-01-21 21:48:43 UTC
Created attachment 853466 [details]
File: cgroup

Comment 3 Luis Oscar Castro 2014-01-21 21:48:44 UTC
Created attachment 853467 [details]
File: core_backtrace

Comment 4 Luis Oscar Castro 2014-01-21 21:48:46 UTC
Created attachment 853468 [details]
File: dso_list

Comment 5 Luis Oscar Castro 2014-01-21 21:48:47 UTC
Created attachment 853469 [details]
File: environ

Comment 6 Luis Oscar Castro 2014-01-21 21:48:51 UTC
Created attachment 853470 [details]
File: limits

Comment 7 Luis Oscar Castro 2014-01-21 21:48:53 UTC
Created attachment 853471 [details]
File: maps

Comment 8 Luis Oscar Castro 2014-01-21 21:48:56 UTC
Created attachment 853472 [details]
File: open_fds

Comment 9 Luis Oscar Castro 2014-01-21 21:48:58 UTC
Created attachment 853473 [details]
File: proc_pid_status

Comment 10 Luis Oscar Castro 2014-01-21 21:49:01 UTC
Created attachment 853474 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-01-09 21:07:54 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Behdad Esfahbod 2015-01-10 02:03:20 UTC
This bug is still relevant, and I have a patchset for it:

  http://www.mail-archive.com/freetype-devel@nongnu.org/msg06758.html

Comment 13 Marek Kašík 2015-01-15 10:08:45 UTC

*** This bug has been marked as a duplicate of bug 1064183 ***


Note You need to log in before you can comment on or make changes to this bug.